package com.mosty.rzzx.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.mosty.base.model.dto.rzzx.TbRzHjInsertDto;
import com.mosty.base.model.dto.rzzx.TbRzHjUpdateDto;
import com.mosty.base.model.entity.rzzx.TbRzHj;
import com.mosty.base.model.query.rzzx.TbRzHjQueryDto;
import io.swagger.annotations.ApiOperation;

/**
 * @author dw
 * @since 2022/7/18
 * 呼叫日志接口--实现类
 **/
public interface TbRzHjService {

    @ApiOperation("呼叫日志新增")
    int insertEntity(TbRzHjInsertDto dto);

    @ApiOperation("呼叫日志接口修改-修改结束时间")
    int updateEntity(TbRzHjUpdateDto dto);

    @ApiOperation("查询呼叫详情接口")
    TbRzHj getInfo(String id);

    @ApiOperation("分页查询接口")
    IPage<TbRzHj> getList(TbRzHjQueryDto dto);
}
